type: prog

titre: Mes voitures

niveau: intermédiaire

objectif: Manipuler les membres des objets de la classe Voiture

énoncé: |
  Étant donné la classe **Voiture** définie par ses attributs **immatriculation, marque, quantité de carburant, kilométrage** et par ses deux méthodes:
    - **remplir(quantité)** : modifie la quantité de carburant selon la quantitié remplie, qui est en paramètre
    - **rouler(distance)** : modifie le kilométrage de la voiture selon la ditance parcourue, qui est en paramètre

  On souhaite tester cette classe dans la classe **TestVoiture** en créant **deux objets** de cette classe et en initialisant  leurs **attributs** par des valeurs, pour ensuite appeler les méthodes du premier objet afin de remplir **200** litres de carburant et rouler une distance de **150** km, et produire en sortie les attributs de ces objet.

  ### Entrées
  Aucune 

  ### Sortie attendue

   Valeurs des attributs des objets de la classe **Voiture**

  ### À faire

  Compléter le code pour produire en sortie les valeurs des **attributs** des objets de la classe **Voiture**.

  ### Exemple

  1. Les voitures

   - Entrée :
  ```
      [vide]

  ```

   - Sortie attendue :
  ```
    IFG-199
    Mazda
    0.0
    0.0

    IFL-222
    Ford
    100.0
    100.0

    200.0
    150.0

  ```

ébauches:
    java: !include Voiture.java


rétroactions:
    positive: Bravo !
    négative: Revoir la syntaxe de création d'objet et d'accès aux attributs et méthodes des objets d'une classe.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA


